> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesbricks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve subscription upgrade checkout URL

> Retrieves the checkout URL for a subscription's upgrade open order.



## OpenAPI

````yaml https://api.salesbricks.com/api/v2/openapi.yaml get /subscriptions/{subscription_id}/upgrade/{order_id}/checkout
openapi: 3.0.3
info:
  title: Salesbricks REST API
  version: 2.0.0
  description: API reference for external integrations
servers:
  - url: https://api.salesbricks.com/api/v2
    description: Production
  - url: https://api.staging.salesbricks.com/api/v2
    description: Staging
security:
  - ApiKeyAuth: []
tags:
  - name: Subscriptions
    description: >-
      Operations related to subscription management, including creation,
      updates, and retrieving subscription details. Subscriptions can be
      upgraded to add / remove add-ons by using the POST
      /subscriptions/{subscription_id}/upgrade endpoint and can be recasted for
      replacing the current agreement using the POST
      /subscriptions/{subscription_id}/recast endpoint
  - name: Customers
    description: >-
      Operations related to customer management, including creation, updates,
      and managing customer person objects.
  - name: Invoices
    description: Operations related to subscription's invoicing details.
  - name: Plans
    description: >-
      Operations related to listing and getting plan details including bricks in
      the plan.
  - name: Payment Methods
    description: Operations related to subscription's payment method.
paths:
  /subscriptions/{subscription_id}/upgrade/{order_id}/checkout:
    get:
      tags:
        - Subscription Upgrades
      summary: Retrieve subscription upgrade checkout URL
      description: Retrieves the checkout URL for a subscription's upgrade open order.
      operationId: retrieveSubscriptionUpgradeCheckoutUrl
      parameters:
        - in: path
          name: order_id
          schema:
            type: string
          description: The ID of the upgrade order
          required: true
        - in: path
          name: subscription_id
          schema:
            type: string
          description: The ID of the subscription
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionCheckoutUrlOutput'
          description: ''
components:
  schemas:
    SubscriptionCheckoutUrlOutput:
      type: object
      description: Subscription checkout URL output serializer.
      properties:
        url:
          type: string
          format: uri
          description: URL for the subscription checkout page
      required:
        - url
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-SALESBRICKS-KEY
      description: API key for authentication

````

## Related topics

- [Manage My Subscription](/api-reference/manage-my-subscription.md)
- [Overview](/integrations/stripe/overview.md)
- [Building an Order](/quickstart-guide/building-an-order.md)
